Search Unity

  1. We are migrating the Unity Forums to Unity Discussions by the end of July. Read our announcement for more information and let us know if you have any questions.
    Dismiss Notice
  2. Dismiss Notice

Question Why doesn't the unity hub like people installing older versions of unity.

Discussion in 'Unity Hub' started by jamie_xr, Jan 3, 2024.

  1. jamie_xr

    jamie_xr

    Joined:
    Feb 28, 2020
    Posts:
    67
    Specifically... Why do we have to root through the archive in a web browser to get old versions - or install a version pertinent to a particular project.
    I even tried to use the CLI to install without having to mess around with the archive but even that gave me this: Error while installing an editor or a module. Error: Provided editor version does not match to any known Unity Editor versions.
    The above of course is not true it's just not one of the recent versions. In order to get the version I want I need the specific changeset.

    I understand wanting to push the latest versions, but actively removing old versions and making them harder to get seems like a strange choice. Especially in the CLI.... "not a known version" - well.. yes it is actually.
     
  2. mgear

    mgear

    Joined:
    Aug 3, 2010
    Posts:
    9,551